<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepSetTransmitLimit Method
DatabaseEnvironment Class See Also

Set a byte-count limit on the amount of data that will be transmitted from a site in response to a single message processed by RepProcessMessage(DatabaseEntry, DatabaseEntry, Int32). The limit is not a hard limit, and the record that exceeds the limit is the last record to be sent.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void RepSetTransmitLimit(
    	uint GBytes,
    	uint Bytes
    )

Visual Basic (Declaration)

    Public Sub RepSetTransmitLimit ( _
    	GBytes As UInteger, _
    	Bytes As UInteger _
    )

Visual C++

    public:
    void RepSetTransmitLimit(
    	unsigned int GBytes,
    	unsigned int Bytes
    )

#### Parameters

GBytes
  Type: System..::.UInt32
  The number of gigabytes which, when added to Bytes, specifies the maximum number of bytes that will be sent in a single call to RepProcessMessage(DatabaseEntry, DatabaseEntry, Int32).

Bytes
  Type: System..::.UInt32
  The number of bytes which, when added to GBytes, specifies the maximum number of bytes that will be sent in a single call to RepProcessMessage(DatabaseEntry, DatabaseEntry, Int32).

# Remarks

Record transmission throttling is turned on by default with a limit of 10MB.

If both GBytes and Bytes are zero, then the transmission limit is turned off.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace